This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819499 - libvirt: missing spice channel 'default'
libvirt: missing spice channel 'default'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alon Levy
Virtualization Bugs
:
Depends On: 819498
Blocks: 821474 874728
  Show dependency treegraph
 
Reported: 2012-05-07 08:31 EDT by Oved Ourfali
Modified: 2012-11-09 03:30 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.9.10-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 821474 (view as bug list)
Environment:
Last Closed: 2012-06-20 02:58:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
guest xml file (4.67 KB, text/plain)
2012-05-10 23:30 EDT, zhe peng
no flags Details

  None (edit)
Description Oved Ourfali 2012-05-07 08:31:24 EDT
Description of problem:
Missing the default spice channel, special channel that requests all channels to be secure.

Version-Release number of selected component (if applicable):
6.3

How reproducible:
Always

Steps to Reproduce:
Try to pass default channel.

Actual results:
internal error unknown spice channel name default

Expected results:
Pass this flag to qemu without an error.
Comment 1 Alon Levy 2012-05-07 08:33:32 EDT
Just to correct the description a bit: passing 'default' requests that channels be secure by default, *unless* overridden by a request to have a specific channel insecure. libvirt doesn't implement this yet, it would require passing plaintext-channel=<channel name>.
Comment 8 Eric Blake 2012-05-08 12:10:44 EDT
We're currently debating between two alternative XML representations for the channel default, but will have a decision upstream before today is out.
Comment 11 zhe peng 2012-05-10 23:27:41 EDT
verify with:
libvirt-0.9.10-18.el6.x86_64
spice-gtk-0.11-8.el6.x86_64
spice-server-0.10.1-7.el6.x86_64
kmod-kspiceusb-rhel60-4.9-14.el6.x86_64
usbredir-0.4.3-1.el6.x86_64

step:
   1:prepare windows guest support usb redirector and config tls
   2:edit <graphics type='spice' port='5900' tlsPort='5901' autoport='no' listen='0.0.0.0' keymap='en-us' defaultMode='secure'> in graphics elemet
   3:start the guest
   4: ps -ef | grep $guestname
qemu     16052     1 40 23:21 ?        00:00:44 /usr/libexec/qemu-kvm -S -M rhel6.2.0 -enable-kvm -m 2048 -smp 4,sockets=4,cores=1,threads=1 -name win7_64 -uuid d551e24f-1368-6ffb-02fd-01eb28301ab5 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/win7_64.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x4.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x4 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x4.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x4.0x2 -drive file=/var/lib/libvirt/images/win7-64.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,fd=25,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:38:7e:d1,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -spice port=5900,tls-port=5901,addr=0.0.0.0,disable-ticketing,x509-dir=/etc/pki/libvirt-spice,tls-channel=default,tls-channel=main,plaintext-channel=inputs,tls-channel=usbredir -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -device qxl,id=video1,vram_size=67108864,bus=pci.0,addr=0x7 -device intel-hda,id=sound0,bus=pci.0,addr=0x6 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0,bus=usb.0,port=3 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1,bus=usb.0,port=4 -chardev spicevmc,id=charredir2,name=usbredir -device usb-redir,chardev=charredir2,id=redir2,bus=usb.0,port=5 -chardev spicevmc,id=charredir3,name=usbredir -device usb-redir,chardev=charredir3,id=redir3,bus=usb.0,port=6 -chardev socket,id=charredir4,host=localhost,port=4000 -device usb-redir,chardev=charredir4,id=redir4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8

got "tls-channel=default,tls-channel=main,plaintext-channel=inputs,tls-channel=usbredir" in qemu command line
verification passed,move to verified.
Comment 12 zhe peng 2012-05-10 23:30:19 EDT
Created attachment 583708 [details]
guest xml file
Comment 14 errata-xmlrpc 2012-06-20 02:58:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html

Note You need to log in before you can comment on or make changes to this bug.